# Generated by Django 3.2.11 on 2022-02-11 13:19

import bookwyrm.models.fields
from django.db import migrations


def add_shelves(apps, schema_editor):
    """add any superusers to the "admin" group"""

    db_alias = schema_editor.connection.alias
    shelf_model = apps.get_model("bookwyrm", "Shelf")

    users = apps.get_model("bookwyrm", "User")
    local_users = users.objects.using(db_alias).filter(local=True)
    for user in local_users:
        shelf_model.using(db_alias)(
            name="Stopped reading",
            identifier=Shelf.STOPPED_READING,
            user=user,
            editable=False,
        ).save(broadcast=False)


class Migration(migrations.Migration):

    dependencies = [
        ("bookwyrm", "0133_alter_listitem_notes"),
    ]

    operations = [
        migrations.AlterField(
            model_name="comment",
            name="reading_status",
            field=bookwyrm.models.fields.CharField(
                blank=True,
                choices=[
                    ("to-read", "To-Read"),
                    ("reading", "Reading"),
                    ("read", "Read"),
                    ("stopped-reading", "Stopped-Reading"),
                ],
                max_length=255,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="quotation",
            name="reading_status",
            field=bookwyrm.models.fields.CharField(
                blank=True,
                choices=[
                    ("to-read", "To-Read"),
                    ("reading", "Reading"),
                    ("read", "Read"),
                    ("stopped-reading", "Stopped-Reading"),
                ],
                max_length=255,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="review",
            name="reading_status",
            field=bookwyrm.models.fields.CharField(
                blank=True,
                choices=[
                    ("to-read", "To-Read"),
                    ("reading", "Reading"),
                    ("read", "Read"),
                    ("stopped-reading", "Stopped-Reading"),
                ],
                max_length=255,
                null=True,
            ),
        ),
        migrations.RunPython(add_shelves, reverse_code=migrations.RunPython.noop),
    ]
